Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS
From: Paul Libbrecht <[email-masked]>
To: Brian Clubb <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 31 Jan 2011 21:57:47 +0100
List-Id: "Media \(MIME\) type review" <ietf-types.ietf.org>

Hello Brian, 

Le 31 janv. 2011 à 19:33, Brian Clubb a écrit :
> While the OpenXPS package contains XML, the document itself requires the hierarchical tree structure of pages and resources to be functional.  It is intended that only a complete OpenXPS document would ever be posted to the clipboard.  

Sure. Only well formed data here (and well formedness is more than XML's).

> Posting a fragment of an OpenXPS file to the clipboard would not be a useful scenario in the same way that I understand it would work in MathML or SVG.  The resource tree in OpenXPS is integral to its functionality.

But that is clear.
It doesn't remove the usefulness of such a thing.

As I said, PDF is the preferred flavor for vector graphics on MacOSX.
And rest assured that copying from a page of a 200 pages book with Apple Preview does not create a PDF with  many pages when copying a rectangle.

Earlier examples on the mac of such transfers include the PICT format and the Adobe "AIFB" (?? I think ??) format which was taken huge time to be produced when you had just copied something, say, in PhotoShop and was switching away from it (in MaOS 7-9, I suppose the same must have been done on Windows).

> For example, copying the XML for a fixed page out of one file onto the clipboard would not take into account the image and font resources which are stored in other locations in the OpenXPS file.  

That's the duty of the clipboard exporter. A normal composition programme can do that but viewers may have difficulties "at first", this is true.

In the very same fashion copying html in a browser also inlines all the styles (even coming from very far from this element) when going out to, say, an email or word-processing application (in html or rtf).

> Furthermore, re-integrating that page markup into the structure of another OpenXPS file would be extraordinarily complex.  If one were to wish to copy pages from one OpenXPS file to another, they would need to create a complete OpenXPS package containing just the required pages plus the required resources from the original OpenXPS package then post the new OpenXPS file to the clipboard.  The consuming application would then be able to access that file and its resources reliably and logically insert the pages and resources into their OpenXPS document package as needed.

I'm sure this can be and has been already done.

> If an application such as an XPS Viewer were to allow selecting and copying of the text or image elements displayed on the screen, that data would be placed on the clipboard as text or whatever image format the application chooses to provide,

right.
And one day that format might be openXPS.

> but posting the markup for the selection to the clipboard would not provide the relevant resource data and hierarchy and would thus be unusable as OpenXPS at that point.

no markup only copy.

> I believe, then, that it is correct to say that the clipboard format would always be a complete OpenXPS file with .oxps extension.  It is the only format for the clipboard that would provide the required interoperability between OpenXPS-consuming applications.

I think this is correct.

paul
From: Paul Libbrecht <[email-masked]>
Date: Mon, 31 Jan 2011 21:56:19 +0100
To: Brian Clubb <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Hello Brian, 

Le 31 janv. 2011 à 19:33, Brian Clubb a écrit :
> While the OpenXPS package contains XML, the document itself requires the hierarchical tree structure of pages and resources to be functional.  It is intended that only a complete OpenXPS document would ever be posted to the clipboard.  

Sure. Only well formed data here (and well formedness is more than XML's).

> Posting a fragment of an OpenXPS file to the clipboard would not be a useful scenario in the same way that I understand it would work in MathML or SVG.  The resource tree in OpenXPS is integral to its functionality.

But that is clear.
It doesn't remove the usefulness of such a thing.

As I said, PDF is the preferred flavor for vector graphics on MacOSX.
And rest assured that copying from a page of a 200 pages book with Apple Preview does not create a PDF with  many pages when copying a rectangle.

Earlier examples on the mac of such transfers include the PICT format and the Adobe "AIFB" (?? I think ??) format which was taken huge time to be produced when you had just copied something, say, in PhotoShop and was switching away from it (in MaOS 7-9, I suppose the same must have been done on Windows).

> For example, copying the XML for a fixed page out of one file onto the clipboard would not take into account the image and font resources which are stored in other locations in the OpenXPS file.  

That's the duty of the clipboard exporter. A normal composition programme can do that but viewers may have difficulties "at first", this is true.

In the very same fashion copying html in a browser also inlines all the styles (even coming from very far from this element) when going out to, say, an email or word-processing application (in html or rtf).

> Furthermore, re-integrating that page markup into the structure of another OpenXPS file would be extraordinarily complex.  If one were to wish to copy pages from one OpenXPS file to another, they would need to create a complete OpenXPS package containing just the required pages plus the required resources from the original OpenXPS package then post the new OpenXPS file to the clipboard.  The consuming application would then be able to access that file and its resources reliably and logically insert the pages and resources into their OpenXPS document package as needed.

I'm sure this can be and has been already done.

> If an application such as an XPS Viewer were to allow selecting and copying of the text or image elements displayed on the screen, that data would be placed on the clipboard as text or whatever image format the application chooses to provide,

right.
And one day that format might be openXPS.

> but posting the markup for the selection to the clipboard would not provide the relevant resource data and hierarchy and would thus be unusable as OpenXPS at that point.

no markup only copy.

> I believe, then, that it is correct to say that the clipboard format would always be a complete OpenXPS file with .oxps extension.  It is the only format for the clipboard that would provide the required interoperability between OpenXPS-consuming applications.

I think this is correct.

paul

From: Brian Clubb <[email-masked]>
To: Paul Libbrecht <[email-masked]>
Date: Mon, 31 Jan 2011 18:33:23 +0000
Accept-Language: en-US
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Paul,

While the OpenXPS package contains XML, the document itself requires the hierarchical tree structure of pages and resources to be functional.  It is intended that only a complete OpenXPS document would ever be posted to the clipboard.  Posting a fragment of an OpenXPS file to the clipboard would not be a useful scenario in the same way that I understand it would work in MathML or SVG.  The resource tree in OpenXPS is integral to its functionality.

For example, copying the XML for a fixed page out of one file onto the clipboard would not take into account the image and font resources which are stored in other locations in the OpenXPS file.  Furthermore, re-integrating that page markup into the structure of another OpenXPS file would be extraordinarily complex.  If one were to wish to copy pages from one OpenXPS file to another, they would need to create a complete OpenXPS package containing just the required pages plus the required resources from the original OpenXPS package then post the new OpenXPS file to the clipboard.  The consuming application would then be able to access that file and its resources reliably and logically insert the pages and resources into their OpenXPS document package as needed.

If an application such as an XPS Viewer were to allow selecting and copying of the text or image elements displayed on the screen, that data would be placed on the clipboard as text or whatever image format the application chooses to provide, but posting the markup for the selection to the clipboard would not provide the relevant resource data and hierarchy and would thus be unusable as OpenXPS at that point.

I believe, then, that it is correct to say that the clipboard format would always be a complete OpenXPS file with .oxps extension.  It is the only format for the clipboard that would provide the required interoperability between OpenXPS-consuming applications.

Thanks!
Brian

-----Original Message-----
From: Paul Libbrecht [mailto:[email-masked]] 
Sent: Wednesday, January 26, 2011 1:45 PM
To: Brian Clubb
Cc: [email-masked]
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Le 26 janv. 2011 à 00:33, Brian Clubb a écrit :

> For your feedback on changing certain responses to lower-case, I will do so in my final submission.  I appreciate your attention to detail on this matter.

good.

> For the comment on encoding, per rfc4288 section 4.8, the possible responses here are 7bit, 8bit, binary, and framed.  This response appears to be correct for ZIP archives and matches a previous registration for Microsoft's version of XPS (http://www.iana.org/assignments/media-types/application/vnd.ms-xpsdocument).  If there is some other consideration here, I am happy to make a note of it elsewhere in the template as needed.

I am too little of an expert here.

> As to the clipboard request, I checked the clipboard values on both Windows OS and Mac OS.  For Windows, the clipboard contains the full file path to the copied .oxps file as a string.  On a Mac OS (10.x), the filename plus extension is provided on the clipboard as "text / items".  Since these conventions may change over time based on the OS independent of any changes to OpenXPS, I am not certain this would be useful as part of the template.

I'm afraid you misunderstood my request.
The objective was to specify within this registration names that would denote one of the alternate representations of a fragment copied to clipboard to be encoded in OpenXPS. This would allow fragments to be stored by one application in the clipboard at the copy command and to be read from the clipboard at the paste command.

Lack of specifying this in the past for MathML has lead to a multitude of names, mostly killing interoperability, with the last suggest being... put the XML in the text flavor (which is clearly wrong for, say, a mail).

(see the MathML and SVG registrations for examples)

paul

Date: Wed, 26 Jan 2011 14:30:38 -0800 (PST)
From: Ned Freed <[email-masked]>
To: Eric Prud'hommeaux <[email-masked]>
Subject: Re: [ietf-types] Update on the pending registration of text/n3

> > In any case, I will point out that the text tree has restrictions besides being
> > "human readable" - specifically, there's a requirment that line breaks be
> > represented by CRLF sequences that precludes the use of charsets like UTF-16. I
> > don't know if this is an issue for this type or not, but if it is you're better
> > off staying in the application tree.

> N3 and Turtle are UTF-8 formats (most at present being within us-ascii);
> would it suffice to add text like:?
>   As the text media tree requires line breaks to be expressed as 0x0d 0x0a,
>   all occurances of 0x0d not followed by 0x0a and all occurances of 0x0a
>   not preceeded by 0x0d are replaced by 0x0d 0x0a.
> I've attached a sample registration with this text added.

I'm not sure such text is required, but it can't hurt.

> I also had the impression that the CRLF restriction doesn't reflect
> current practice (trying "line1\nline2\n" in several mail clients and
> browsers) and that it was on the HTTP WG's agenda to relax that constraint.
> In this case, such text would seem unnecessary.

It's one thing to use bare CRs and LFs in place of CRLFs. That will often
work, although there are also cases where it won't. But if you try this
with actual UTF-16 text, the odds are good that it will fail, and moreover
it can fail in ways that end up completely corrupting the content. But this
appears to be a nonissue given you're using utf-8.

> > >The application for text/rdf+n3 with the IANA registry is
> > >pending as of 2006-02 as IANA #5004. There was an agreement to change
> > >it to text/n3 as the rdf+ idea met with significant criticism.
> >
> > In regards to the "pending" registration, it appears to have been submitted to
> > IANA on 30-Jan-2006 (for text/rdf+n3). It was forwarded to me for review on
> > 3-Mar-2006. I responded on 6-Mar-2006 saying that (a) Since this is a standards
> > tree registration it needed to go to the IESG and (b) The fact that no security
> > considerations were provided was unlikely to be acceptable to the IESG. I

> Ned, do you think it would suffice for Nathan to use the Security
> considerations from http://www.w3.org/2010/01/Turtle/#sec-mediaReg ?
> It references IRI and URI considerations and has a paragraph about
> phishing (which I'd like to be useful in other registrations).

First, I'll again note that I'm not the approver here, the IESG is. So the best
I can do is tell you what I'd be looking for if I were the approver.

With that caveat, I'd say that those considerations are great but not
sufficient. The things I look for this section to do are to:

(1) State whether or not the media type contains active or executable
    content. If the media type does contain executable content explain
    what measures have been taken to insure that it can be executed
    safely, e.g. a sandbox, safe operation set, signed content, etc.

(2) State whether or not the information contained in the media type
    needs privacy or integrity services.

(3) If the answer to (2) is yes, elaborate on any privacy or integrity
    services the media type itself provides.

Other considerations like the ones you cite are of course welcome.

				Ned

P.S. Maybe I screwed up and missed it somehow, but I don't think you included a
template in your response.

From: Paul Libbrecht <[email-masked]>
Date: Wed, 26 Jan 2011 22:45:00 +0100
To: Brian Clubb <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Le 26 janv. 2011 à 00:33, Brian Clubb a écrit :

> For your feedback on changing certain responses to lower-case, I will do so in my final submission.  I appreciate your attention to detail on this matter.

good.

> For the comment on encoding, per rfc4288 section 4.8, the possible responses here are 7bit, 8bit, binary, and framed.  This response appears to be correct for ZIP archives and matches a previous registration for Microsoft's version of XPS (http://www.iana.org/assignments/media-types/application/vnd.ms-xpsdocument).  If there is some other consideration here, I am happy to make a note of it elsewhere in the template as needed.

I am too little of an expert here.

> As to the clipboard request, I checked the clipboard values on both Windows OS and Mac OS.  For Windows, the clipboard contains the full file path to the copied .oxps file as a string.  On a Mac OS (10.x), the filename plus extension is provided on the clipboard as "text / items".  Since these conventions may change over time based on the OS independent of any changes to OpenXPS, I am not certain this would be useful as part of the template.

I'm afraid you misunderstood my request.
The objective was to specify within this registration names that would denote one of the alternate representations of a fragment copied to clipboard to be encoded in OpenXPS. This would allow fragments to be stored by one application in the clipboard at the copy command and to be read from the clipboard at the paste command.

Lack of specifying this in the past for MathML has lead to a multitude of names, mostly killing interoperability, with the last suggest being... put the XML in the text flavor (which is clearly wrong for, say, a mail).

(see the MathML and SVG registrations for examples)

paul

Date: Tue, 25 Jan 2011 22:29:14 -0800 (PST)
From: Ned Freed <[email-masked]>
To: Nathan <[email-masked]>
Subject: Re: [ietf-types] Update on the pending registration of text/n3

> I've been asked to find out about the registration of the 'text/n3'
> media type, relating to Notation3 [1,2]. To quote from the annotated
> design issue [2]:

First and foremost, the lack of an explicit facet in the name means this is a
standards tree registration (which certainly seems appropriate for this type).
Standards tree registrations are supposed to be reviewed on this list, but
approval of them is the province of the IESG. (See RFC 4288 section 5 for
details.) So the appropriate thing to do is (1) Post the media type
registration form to this list for review, (2) Deal with any review comments,
and (3) Submit the registration to the IESG for final review and approval.

>    """The type application/n3 was applied for in 2002 and again in
> 2006. The IETF-W3C liaison meeting established that the mime type
> would be formally awarded when the N3 specification was in a
> 'published' form. In the mean time, it should be used as part of the
> point of N3 is to be human readable, and so the text tree is
> indicated.

I note that there appears to be a contradiction here - the type is named
application/n3 but this then talks about it being text/n3.

In any case, I will point out that the text tree has restrictions besides being
"human readable" - specifically, there's a requirment that line breaks be
represented by CRLF sequences that precludes the use of charsets like UTF-16. I
don't know if this is an issue for this type or not, but if it is you're better
off staying in the application tree.

> The application for text/rdf+n3 with the IANA registry is
> pending as of 2006-02 as IANA #5004. There was an agreement to change
> it to text/n3 as the rdf+ idea met with significant criticism.

In regards to the "pending" registration, it appears to have been submitted to
IANA on 30-Jan-2006 (for text/rdf+n3). It was forwarded to me for review on
3-Mar-2006. I responded on 6-Mar-2006 saying that (a) Since this is a standards
tree registration it needed to go to the IESG and (b) The fact that no security
considerations were provided was unlikely to be acceptable to the IESG. I
assume that IANA responded with my comments to the submitter at that time. I
don't know if IANA then closed the request, but if they didn't they should have
since IANA cannot register types in the standards tree.

I note that tHere may also be an issue with the + - we reserve +suffixes as a
indicator that the type is in a particular format, e.g. +xml. I don't know if
n3 qualifies in this fashion. That said, there would be no problem from a
process perspective using rdf-n3. Whether that's more appropriate than n3 is
really the W3C's call to make.

> While
> registration is pending, applications should use the proposed type in
> anticipation of registration, not an x- type."""

Always a good idea.

> The specification is now 'solid', and has been for a considerable
> time, further:

OK.

> - There are many implementations which have been made over the 10 years
> - There is a significant amount of Notation3 data available on the web
> and in use
> - There is significant reluctance to further deploy Notation3 data
> based PURELY on the lack of MIME registration.

Then let's by all means get the registration done.

> - There is still a lot of confusion as to what the content-type is (as
> no media type is registered)
> - There is no entry in the default Apache mime.types file, so serving
> and negotiating these files is more difficult.

> Consequently, can you give either myself or Tim Berners-Lee (cc-d) an
> update on the pending application, or inform us as to the best course
> of action in order to get the 'text/n3' media type registered in a
> timely fashion.

See above for my recomendations as to the next steps to take.

> Best,

> Nathan

> [1] http://www.w3.org/TeamSubmission/n3/
> [2] http://www.w3.org/DesignIssues/Notation3

Date: Wed, 26 Jan 2011 15:25:59 +0900
From: =?ISO-8859-1?Q?"Martin_J._Dürst"?= <[email-masked]>
Organization: Aoyama Gakuin University
To: [email-masked]
Cc: Tim Berners-Lee <[email-masked]>, ietf-types <[email-masked]>
Subject: Re: [ietf-types] Update on the pending registration of text/n3

Hello Nathan, others,

I suggest you have a look at 
http://www.w3.org/2002/06/registering-mediatype. It may be that not 
everything on that page can be applied directly, but I hope it still helps.

Regards,   Martin.

On 2011/01/26 10:57, Nathan wrote:
> Hi,
>
> I've been asked to find out about the registration of the 'text/n3'
> media type, relating to Notation3 [1,2]. To quote from the annotated
> design issue [2]:
>
> """The type application/n3 was applied for in 2002 and again in 2006.
> The IETF-W3C liaison meeting established that the mime type would be
> formally awarded when the N3 specification was in a 'published' form. In
> the mean time, it should be used as part of the point of N3 is to be
> human readable, and so the text tree is indicated. The application for
> text/rdf+n3 with the IANA registry is pending as of 2006-02 as IANA
> #5004. There was an agreement to change it to text/n3 as the rdf+ idea
> met with significant criticism. While registration is pending,
> applications should use the proposed type in anticipation of
> registration, not an x- type."""
>
> The specification is now 'solid', and has been for a considerable time,
> further:
>
> - There are many implementations which have been made over the 10 years
> - There is a significant amount of Notation3 data available on the web
> and in use
> - There is significant reluctance to further deploy Notation3 data based
> PURELY on the lack of MIME registration.
> - There is still a lot of confusion as to what the content-type is (as
> no media type is registered)
> - There is no entry in the default Apache mime.types file, so serving
> and negotiating these files is more difficult.
>
> Consequently, can you give either myself or Tim Berners-Lee (cc-d) an
> update on the pending application, or inform us as to the best course of
> action in order to get the 'text/n3' media type registered in a timely
> fashion.
>
> Best,
>
> Nathan
>
> [1] http://www.w3.org/TeamSubmission/n3/
> [2] http://www.w3.org/DesignIssues/Notation3
> _______________________________________________
> ietf-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-types
>
>

-- 
#-# Martin J. Dürst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

Date: Wed, 26 Jan 2011 01:57:28 +0000
From: Nathan <[email-masked]>
Organization: webr3
To: ietf-types <[email-masked]>
Cc: Tim Berners-Lee <[email-masked]>
Subject: [ietf-types] Update on the pending registration of text/n3
Reply-To: [email-masked]

Hi,

I've been asked to find out about the registration of the 'text/n3' 
media type, relating to Notation3 [1,2]. To quote from the annotated 
design issue [2]:

   """The type application/n3 was applied for in 2002 and again in 
2006. The IETF-W3C liaison meeting established that the mime type 
would be formally awarded when the N3 specification was in a 
'published' form. In the mean time, it should be used as part of the 
point of N3 is to be human readable, and so the text tree is 
indicated. The application for text/rdf+n3 with the IANA registry is 
pending as of 2006-02 as IANA #5004. There was an agreement to change 
it to text/n3 as the rdf+ idea met with significant criticism. While 
registration is pending, applications should use the proposed type in 
anticipation of registration, not an x- type."""

The specification is now 'solid', and has been for a considerable 
time, further:

- There are many implementations which have been made over the 10 years
- There is a significant amount of Notation3 data available on the web 
and in use
- There is significant reluctance to further deploy Notation3 data 
based PURELY on the lack of MIME registration.
- There is still a lot of confusion as to what the content-type is (as 
no media type is registered)
- There is no entry in the default Apache mime.types file, so serving 
and negotiating these files is more difficult.

Consequently, can you give either myself or Tim Berners-Lee (cc-d) an 
update on the pending application, or inform us as to the best course 
of action in order to get the 'text/n3' media type registered in a 
timely fashion.

Best,

Nathan

[1] http://www.w3.org/TeamSubmission/n3/
[2] http://www.w3.org/DesignIssues/Notation3

From: Brian Clubb <[email-masked]>
To: Paul Libbrecht <[email-masked]>
Date: Tue, 25 Jan 2011 23:33:10 +0000
Accept-Language: en-US
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Paul,

Thanks for your feedback on my submission template!

For your feedback on changing certain responses to lower-case, I will do so in my final submission.  I appreciate your attention to detail on this matter.

For the comment on encoding, per rfc4288 section 4.8, the possible responses here are 7bit, 8bit, binary, and framed.  This response appears to be correct for ZIP archives and matches a previous registration for Microsoft's version of XPS (http://www.iana.org/assignments/media-types/application/vnd.ms-xpsdocument).  If there is some other consideration here, I am happy to make a note of it elsewhere in the template as needed.

As to the clipboard request, I checked the clipboard values on both Windows OS and Mac OS.  For Windows, the clipboard contains the full file path to the copied .oxps file as a string.  On a Mac OS (10.x), the filename plus extension is provided on the clipboard as "text / items".  Since these conventions may change over time based on the OS independent of any changes to OpenXPS, I am not certain this would be useful as part of the template.

Thanks again for your feedback!  I appreciate your time and efforts to review this!

Brian 

-----Original Message-----
From: Paul Libbrecht [mailto:[email-masked]] 
Sent: Thursday, January 13, 2011 1:54 PM
To: Brian Clubb
Cc: [email-masked]
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Brian,

I have four little comments of a non expert:

Le 12 janv. 2011 à 19:40, Brian Clubb a écrit :
> [...] 
> Name : Brian Clubb
>  MIME media type name : Application

should be application lower-case

> MIME subtype name : Standards Tree - OpenXPS

should be openxps, lower case.

>  Required parameters : N/A
>  
> Optional parameters :
> N/A
> Encoding considerations : 8-bit

Wouldn't zip appear here?

[...]
> Additional information : 
> 1. Magic number(s) : ZIP archive CRC-32: 0xdebb20e3 per http://www.pkware.com/documents/APPNOTE/APPNOTE-6.2.0.txt
> 2. File extension(s) : .oxps
> 3. Macintosh file type code : N/A
> 4. Object Identifiers: N/A

Could I request that clipboard names be also described?
One for the Windows OS (a simple string).
One for the Macintosh OS (a Universal Type Identifer).

paul

From: Paul Libbrecht <[email-masked]>
Date: Thu, 13 Jan 2011 22:54:03 +0100
To: Brian Clubb <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [ietf-types] Request for review of standards tree registration request for OpenXPS

Brian,

I have four little comments of a non expert:

Le 12 janv. 2011 à 19:40, Brian Clubb a écrit :
> [...] 
> Name : Brian Clubb
>  MIME media type name : Application

should be application lower-case

> MIME subtype name : Standards Tree – OpenXPS

should be openxps, lower case.

>  Required parameters : N/A
>  
> Optional parameters :
> N/A
> Encoding considerations : 8-bit

Wouldn't zip appear here?

[...]
> Additional information : 
> 1. Magic number(s) : ZIP archive CRC-32: 0xdebb20e3 per http://www.pkware.com/documents/APPNOTE/APPNOTE-6.2.0.txt
> 2. File extension(s) : .oxps
> 3. Macintosh file type code : N/A
> 4. Object Identifiers: N/A

Could I request that clipboard names be also described?
One for the Windows OS (a simple string).
One for the Macintosh OS (a Universal Type Identifer).

paul

From: Brian Clubb <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 12 Jan 2011 18:40:17 +0000
Accept-Language: en-US
Subject: [ietf-types] Request for review of standards tree registration request for OpenXPS

--_000_FE6603D65048F44AB8F8955AE89A09B90A400DTK5EX14MBXW652win_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

To whom it may concern:

Pursuant to RFC 4288 section 5.1, I am submitting the following registration template describing the OpenXPS format for community review with the goal of adding this registration to the standards tree.  The two-week comment period will conclude on  27 January 2011.

Thank you in advance for your review and consideration!

Brian Clubb
Chairman - Ecma TC46  (Ecma 388: Open XML Paper Specification)
Microsoft Corporation
[email-masked]

Name : Brian Clubb

Email : [email-masked]

MIME media type name : Application

MIME subtype name : Standards Tree - OpenXPS

Required parameters : N/A

Optional parameters :
N/A

Encoding considerations : 8-bit

Security considerations :
OpenXPS uses ZIP compression as specified in .ZIP File Format Specification from PKWARE, Inc., version 6.2.0 (2004).  ZIP compressed XML requires parsing untrusted XML data and untrusted ZIP data.  consumer is responsible for validating the .zip archive, the XML structure, and the resource content.  Per spec, there should be no active content provided as part of the OpenXPS format.  The consumer must ensure that no malicious active content is erroneously provided in the OpenXPS document.  Valid content is described in the EMCA-388 specification (http://www.ecma-international.org/publications/standards/Ecma-388.htm)

Also see section E.3 of ECMA-388 specification (http://www.ecma-international.org/publications/standards/Ecma-388.htm):
OpenXPS Documents follow requirements set out in this Standard, as well as other normative references including the Open Packaging Conventions. Implementations may use the following steps to identify an unknown file or stream as an OpenXPS Document within an Open Packaging Conventions payload.
1. Test that the file or stream is a ZIP file
a. As required by §9.2 of the Open Packaging Conventions
b. First four bytes correspond to the local file header signature defined in the .ZIP File Format Specification from PKWARE, Inc., version 6.2.0 (2004)
2. Test that a valid Package Relationships zip item exists
a. As required by §8.3.4 of the Open Packaging Conventions
b. Check that the content type for the package relationships zip item is correctly defined in the Content Types stream (see OPC §8.1.2) as a relationships part
3. Test that the Package Relationships Part contains a relationship (see OPC §8.3) whose target attribute points to a valid FixedDocumentSequence Part
a. As required by §10.2 of this Standard
b. Check that the content type for the FixedDocumentSequence part is correctly defined in the Content Types stream as a FixedDocumentSequence part

Interoperability considerations :
application/OpenXPS documents are specified by the XML schemas standardized in ECMA-388.
Applications and drivers currently producing/consuming Microsoft XPS content cannot directly produce/consume OpenXPS.  Changes are required to address differences in the two specifications, such as namespace, print ticket usage, use of JPEG XR, etc.

Published specification :
The published Standard ECMA-388 is available at:
http://www.ecma-international.org/publications/standards/Ecma-388.htm

Applications which use this media :
The application/oxps MIME type can be used to identify CSTA XML (ECMA-388) instance documents.  No published applications or print drivers currently use OpenXPS.  The intent is for any application or driver that can currently produce/consume Microsoft XPS to also adopt OpenXPS.  Examples of such applications would include but are not limited to:  Microsoft XPS Viewer, Microsoft XPS Document Writer, Microsoft Internet Explorer 9.

Additional information :

1. Magic number(s) : ZIP archive CRC-32: 0xdebb20e3 per http://www.pkware.com/documents/APPNOTE/APPNOTE-6.2.0.txt
2. File extension(s) : .oxps
3. Macintosh file type code : N/A
4. Object Identifiers: N/A

Person & email address to contact for further information:
Ecma International Helpdesk
Rue du Rhone114
CH-1204 Geneva
Switzerland
[email-masked]

Person to contact for further information :

1. Name : Ecma International Helpdesk
2. Email : [email-masked]

Intended usage : Common
This type will be used for all documents conforming to the Open XML
   Paper Specifcation's (ECMA-388) Open XPS Document format, published
   by ECMA.

Author/Change controller : The ECMA-388 Standard is developed and
   maintained by the Ecma TC46 Working Group.

--_000_FE6603D65048F44AB8F8955AE89A09B90A400DTK5EX14MBXW652win_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:w="urn:schemas-microsoft-com:office:word" xmlns:m="http://schemas.microsoft.com/office/2004/12/omml" xmlns="http://www.w3.org/TR/REC-html40"><head><meta http-equiv=Content-Type content="text/html; charset=iso-8859-1"><meta name=Generator content="Microsoft Word 14 (filtered medium)"><style><!--
/* Font Definitions */
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri","sans-serif";}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext="edit" spidmax="1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext="edit">
<o:idmap v:ext="edit" data="1" />
</o:shapelayout></xml><![endif]--></head><body lang=EN-US link=blue vlink=purple><div class=WordSection1><p class=MsoNormal>To whom it may concern:<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Pursuant to RFC 4288 section 5.1, I am submitting the following registration template describing the OpenXPS format for community review with the goal of adding this registration to the standards tree.  The two-week comment period will conclude on  27 January 2011.<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Thank you in advance for your review and consideration!<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Brian Clubb<o:p></o:p></p><p class=MsoNormal>Chairman &#8211; Ecma TC46  (Ecma 388: Open XML Paper Specification)<o:p></o:p></p><p class=MsoNormal>Microsoft Corporation<o:p></o:p></p><p class=MsoNormal>[email-masked]<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Name : Brian Clubb<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Email : [email-masked]<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>MIME media type name : Application<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>MIME subtype name : Standards Tree &#8211; OpenXPS<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Required parameters : N/A<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Optional parameters :<o:p></o:p></p><p class=MsoNormal>N/A<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Encoding considerations : 8-bit<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Security considerations :<o:p></o:p></p><p class=MsoNormal>OpenXPS uses ZIP compression as specified in .ZIP File Format Specification from PKWARE, Inc., version 6.2.0 (2004).  ZIP compressed XML requires parsing untrusted XML data and untrusted ZIP data.  consumer is responsible for validating the .zip archive, the XML structure, and the resource content.  Per spec, there should be no active content provided as part of the OpenXPS format.  The consumer must ensure that no malicious active content is erroneously provided in the OpenXPS document.  Valid content is described in the EMCA-388 specification (http://www.ecma-international.org/publications/standards/Ecma-388.htm)<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Also see section E.3 of ECMA-388 specification (http://www.ecma-international.org/publications/standards/Ecma-388.htm):<o:p></o:p></p><p class=MsoNormal>OpenXPS Documents follow requirements set out in this Standard, as well as other normative references including the Open Packaging Conventions. Implementations may use the following steps to identify an unknown file or stream as an OpenXPS Document within an Open Packaging Conventions payload. <o:p></o:p></p><p class=MsoNormal>1. Test that the file or stream is a ZIP file <o:p></o:p></p><p class=MsoNormal>a. As required by §9.2 of the Open Packaging Conventions  <o:p></o:p></p><p class=MsoNormal>b. First four bytes correspond to the local file header signature defined in the .ZIP File Format Specification from PKWARE, Inc., version 6.2.0 (2004)  <o:p></o:p></p><p class=MsoNormal>2. Test that a valid Package Relationships zip item exists <o:p></o:p></p><p class=MsoNormal>a. As required by §8.3.4 of the Open Packaging Conventions <o:p></o:p></p><p class=MsoNormal>b. Check that the content type for the package relationships zip item is correctly defined in the Content Types stream (see OPC §8.1.2) as a relationships part <o:p></o:p></p><p class=MsoNormal>3. Test that the Package Relationships Part contains a relationship (see OPC §8.3) whose target attribute points to a valid FixedDocumentSequence Part <o:p></o:p></p><p class=MsoNormal>a. As required by §10.2 of this Standard <o:p></o:p></p><p class=MsoNormal>b. Check that the content type for the FixedDocumentSequence part is correctly defined in the Content Types stream as a FixedDocumentSequence part <o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Interoperability considerations :<o:p></o:p></p><p class=MsoNormal>application/OpenXPS documents are specified by the XML schemas standardized in ECMA-388.<o:p></o:p></p><p class=MsoNormal>Applications and drivers currently producing/consuming Microsoft XPS content cannot directly produce/consume OpenXPS.  Changes are required to address differences in the two specifications, such as namespace, print ticket usage, use of JPEG XR, etc.<o:p></o:p></p><p class=MsoNormal><br><br><o:p></o:p></p><p class=MsoNormal>Published specification :<o:p></o:p></p><p class=MsoNormal>The published Standard ECMA-388 is available at:<o:p></o:p></p><p class=MsoNormal>http://www.ecma-international.org/publications/standards/Ecma-388.htm<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Applications which use this media :<o:p></o:p></p><p class=MsoNormal>The application/oxps MIME type can be used to identify CSTA XML (ECMA-388) instance documents.  No published applications or print drivers currently use OpenXPS.  The intent is for any application or driver that can currently produce/consume Microsoft XPS to also adopt OpenXPS.  Examples of such applications would include but are not limited to:  Microsoft XPS Viewer, Microsoft XPS Document Writer, Microsoft Internet Explorer 9.<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Additional information :<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>1. Magic number(s) : ZIP archive CRC-32: 0xdebb20e3 per http://www.pkware.com/documents/APPNOTE/APPNOTE-6.2.0.txt<o:p></o:p></p><p class=MsoNormal>2. File extension(s) : .oxps<o:p></o:p></p><p class=MsoNormal>3. Macintosh file type code : N/A<o:p></o:p></p><p class=MsoNormal>4. Object Identifiers: N/A<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Person &amp; email address to contact for further information:<o:p></o:p></p><p class=MsoNormal>Ecma International Helpdesk<o:p></o:p></p><p class=MsoNormal>Rue du Rhone114<o:p></o:p></p><p class=MsoNormal>CH-1204 Geneva<o:p></o:p></p><p class=MsoNormal>Switzerland<o:p></o:p></p><p class=MsoNormal>[email-masked]<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Person to contact for further information :<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>1. Name : Ecma International Helpdesk<o:p></o:p></p><p class=MsoNormal>2. Email : [email-masked]<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Intended usage : Common<o:p></o:p></p><p class=MsoNormal>This type will be used for all documents conforming to the Open XML<o:p></o:p></p><p class=MsoNormal>   Paper Specifcation's (ECMA-388) Open XPS Document format, published<o:p></o:p></p><p class=MsoNormal>   by ECMA.<o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p class=MsoNormal>Author/Change controller : The ECMA-388 Standard is developed and<o:p></o:p></p><p class=MsoNormal>   maintained by the Ecma TC46 Working Group.<o:p></o:p></p></div></body></html>
--_000_FE6603D65048F44AB8F8955AE89A09B90A400DTK5EX14MBXW652win_--